<?php
/**
 * @name		Menu Manager CK
 * @package		com_menumanagerck
 * @copyright	Copyright (C) 2014. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @author		Cedric Keiflin - http://www.template-creator.com - http://www.joomlack.fr
 */

defined('_JEXEC') or die;
jimport('joomla.application.component.controlleradmin');
/**
 * The Menu Item Controller
 *
 * @package     Joomla.Administrator
 * @subpackage  com_menus
 * @since       1.6
 */
class MenumanagerckControllerCustom extends JControllerAdmin
{
	public function __construct($config = array())
	{
		parent::__construct($config);
	}
	
	function select($cachable = false, $urlparams = false)
	{
		if (!isset($this->input)) $this->input = new JInput();
		$extension = $this->input->get('extension', '', 'string');
		$type = $this->input->get('type', 'category', 'string');
		
		// load the model for the desired extension
		if (file_exists(JPATH_ROOT.'/administrator/components/com_menumanagerck/models/custom/custom.' . strtolower($extension) . '.' . strtolower($type) . '.php')) 
		{
			require_once (JPATH_ROOT.'/administrator/components/com_menumanagerck/models/custom/custom.' . strtolower($extension) . '.' . strtolower($type) . '.php');
		} else 
		{
			echo 'The extension ' . $extension . '.' . $type . ' is not available. File not found.';
			die;
		}
		$model = $this->getModel('Custom' . strtolower($extension) . strtolower($type), 'MenumanagerckModel');
		
		// $this->state
		// $this->pagination
		// $this->assoc         = $this->get('Assoc'); // NON
		// $this->filterForm    = $this->get('FilterForm');
		// $this->activeFilters = $this->get('ActiveFilters');
		// $this->items : level - language - access_level - language_title - id - title

		$view = $this->getView('custom', 'html');
		$view->setLayout('modal');
		$view->assign('extension', $extension);
		$view->assign('type', $type);
		$view->assign('state', $model->getState());
		$view->assign('items', $model->getItems());
		$view->assign('pagination', $model->getPagination());
		$view->assign('customFilters', $model->getCustomFilters());
		$view->assign('objectAssociation', $model->getObjectAssociation());
		$view->assign('showSearchBar', $model->showSearchBar());
		$view->assign('customcolumn', $model->getCustomColumn());
		$view->assign('orderingcolumn', $model->getOrderingColumn());
		$view->display();
	}

	/**
	 * Proxy for getModel
	 * @since   1.6
	 */
	public function getModel($name = 'Custom', $prefix = 'MenumanagerckModel', $config = array())
	{
		return parent::getModel($name, $prefix, array('ignore_request' => true));
	}
}
